org.apache.hadoop.yarn.api.protocolrecords

## Class KillApplicationResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class KillApplicationResponse
      extends Object

  The response sent by the `ResourceManager` to the client aborting a submitted application.

  The response, includes:

  - A flag which indicates that the process of killing the application is completed or not.
  Note: user is recommended to wait until this flag becomes true, otherwise if the `ResourceManager` crashes before the process of killing the application is completed, the `ResourceManager` may retry this application on recovery.
  See Also:
    `ApplicationClientProtocol.forceKillApplication(KillApplicationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillApplicationResponse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getIsKillCompleted()` Get the flag which indicates that the process of killing application is completed or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KillApplicationResponse

          public KillApplicationResponse()

  - ### Method Detail

    - #### getIsKillCompleted

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract boolean getIsKillCompleted()

      Get the flag which indicates that the process of killing application is completed or not.
      Returns:
        true if the process of killing application has completed, false otherwise

Copyright © 2022 Apache Software Foundation. All rights reserved.